This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 104806 - Please consider adding a print queue cloning option.
Please consider adding a print queue cloning option.
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 08:38 EDT by Denice
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 05:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denice 2003-09-22 08:38:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I spent part of the weekend migrating my print configuration from LPRng on RH
7.3 to CUPS on RH 9 - 27 print queues on 10 different printers.  Using the tool,
whether text or gui, is painful for this number of queues (and my setup is
undoubtedly small compared to some installations).  LPRng is much easier for
this kind of setup, since the gui tool did not try to handle the sharing access
as well.  This was all done in lpd.perms.

What would make the whole thing so much easier would be to have a cloning
option. Ideally I would select an existing print queue from the redhat tool and
then ask to clone it.  The tool would then ask me for a new name for this
configuration.  The cloning exercise would copy everything about the
configuration _including_ the sharing options, but would rename it according to
my selected naming choice.  Then I could edit it, easily making minor changes
like 'default tray number', etc.

As it is, I ran the tool only for those printers where I really, really wanted
access to the superior set of ppd definition files offered by the tool.  After
that I hand-editted the rest, and then I used remote web configuration for those
ppd files that I borrowed from other sources.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. launch redhat-config-printer and configure the following queues:
   example:  my duplex lexmark with 3 media trays.
   Create 6 print queues for this printer, with sharing access set for 
       the subnet:
       lexdef - low-resolution, tray 3, fast A4 duplex on recycled
       lex2up - as above, but two pages per sheet in duplex mode.
       lex4up - as above, but four pages per sheet in duplex mode.
       lexwhite - duplex on tray 2 (white paper), higher resolution
       lexwhite-ss - simplex on tray 2 (white paper), high res.
       lextrans - simplex on tray 1 (transp.) at higher resolution


Actual Results:  This takes a long time, and is annoying.  It has always been
annoying, but is worse now that I have to set sharing options as well.

Additional info:

By the way, I found using the cups web interface remotely to be an acceptable
option under certain conditions:
- I set the User/Group in cupsd.conf to be lp/sys (I'm not sure if this makes
any difference though, the file implies that it is the default anyway)
- I then set a password for 'lp', whose shell is still /sbin/nologin  This sucks
perhaps, but I prefer it over running web-based tools as root.
- The print server was also configured with /etc/nologin
- I editted cupsd.conf and added a trusted host in my subnet (not really very
remote...) to the 'Allow from ' directive for <Location /admin>
This works well.  However, with a cloning option, and with resolution of bug:
84224 (add ppd file) I would probably be content with the redhat tool.

The only remaining concern I would have would be that occasional, correctly made
hand-edits of the cupsd.conf would not be clobbered by the tool.  The trouble
is, this file looks just like any other apache config. file, and it just
_screams_ to be editted .. :o)
Comment 1 Tim Waugh 2003-09-29 05:42:14 EDT
Yes, a cloning operation would certainly be useful.
Comment 2 Denice 2003-09-29 06:00:13 EDT
It would also get around the alias problem...
Comment 3 Bill Nottingham 2006-08-05 00:44:31 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Tim Waugh 2006-08-07 05:37:19 EDT
Fedora Core 6 has a 'Copy queue' option.

Note You need to log in before you can comment on or make changes to this bug.